Skip to main content

💻 Systems

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate system related data. Returns an array of properties, by default ten.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get system mockdata.

Get system mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/systems
Accept: application/json

Response​

Example​

JSON
[
{
"commonFileExt": "m2v",
"commonFileName": "amongst_vivaciously_populate.wav",
"commonFileType": "image",
"cron": "15 * * * ?",
"directoryPath": "/usr/libexec",
"fileExt": "pot",
"fileName": "yummy_commercialise_despite.mid",
"filePath": "/private/tmp/interrelate_hmph.tar",
"fileType": "image",
"mimeType": "image/gif",
"networkInterface": "wlo6",
"semver": "6.2.5"
}
]

Common File Extension​

JSONPower Automate
commonFileExtCommon File Extension

Returns a common file extension. For example: m2v.

Return datatype: string

Common File Name​

JSONPower Automate
commonFileNameCommon File Name

Returns a common file name. For example: amongst_vivaciously_populate.wav.

Return datatype: string

Common File Type​

JSONPower Automate
commonFileTypeCommon File Type

Returns a common file type. For example: image.

Return datatype: string

Cron​

JSONPower Automate
cronCron

Returns a cron expression. For example: 15 * * * ?.

Return datatype: string

Directory Path​

JSONPower Automate
directoryPathDirectory Path

Returns a directory path. For example: /usr/libexec.

Return datatype: string

File Extension​

JSONPower Automate
fileExtFile Extension

Returns a file extension. For example: pot.

Return datatype: string

File Name​

JSONPower Automate
fileNameFile Name

Returns a file name. For example: yummy_commercialise_despite.mid.

Return datatype: string

File Path​

JSONPower Automate
filePathFile Path

Returns a file path. For example: /private/tmp/interrelate_hmph.tar.

Return datatype: string

File Type​

JSONPower Automate
fileTypeFile Type

Returns a file type. For example: image.

Return datatype: string

Mime Type​

JSONPower Automate
mimeTypeMime Type

Returns a mime type. For example: image/gif.

Return datatype: string

Network Interface​

JSONPower Automate
networkInterfaceNetwork Interface

Returns a network interface. For example: wlo6.

Return datatype: string

Semver​

JSONPower Automate
semverSemantic version

Returns a semantic version number. For example: 6.2.5.

Return datatype: string

Database related properties can be found at 💾 Databases endpoint.